# get\_schema

The function`get_schema(collection_name)`returns the collection schema in python dictionary format.

**Input-**

* <mark style="color:purple;">collection\_name</mark> – Specifies the Collection of which the schema will be returned.

**Example-**

{% tabs %}
{% tab title="Python" %}
{% code lineNumbers="true" %}

```python
schema = hyperspace_client.getSchema(collection_name)
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
Object schema = hyperspaceClient.getSchema(collectionName);
JsonObject schemaJson = new Gson().toJsonTree(schema).getAsJsonObject();
System.out.println(schemaJson);
```

{% endcode %}
{% endtab %}

{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```javascript
let schema = hyperspaceClient.getSchema(collection_name);
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/get_schema.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
